Search found 7 matches

by BeSmart
2019-08-13 22:51
Forum: Development & alpha discussions
Topic: Switching from Multibyte to Unicode
Replies: 4
Views: 1536

Re: Switching from Multibyte to Unicode

Simply using Unicode for each and everything is certainly not the smartest thing, and there is a good reason to use ANSI for ANSI-only realms. Developing software is not about easy going, but getting the job done right. Beside that, Unicode is already enabled for MFC applications by default.
by BeSmart
2019-08-13 18:19
Forum: Development & alpha discussions
Topic: Removing x86 support in 5.7
Replies: 19
Views: 3012

Re: Removing x86 support in 5.7

Martin, Support for Windows 7 ends in 6 months (January 14, 2020 - https://support.microsoft.com/en-us/help/4057281), support for Windows 8 ended 3 years ago (January 16, 2016 - https://support.microsoft.com/en-us/help/18581/lifecycle-faq-windows-products). I guess moving to Windows 8.1+ for the 5.7...
by BeSmart
2019-08-08 18:01
Forum: Development & alpha discussions
Topic: Removing x86 support in 5.7
Replies: 19
Views: 3012

Re: Removing x86 support in 5.7

Maybe Windows XP/Vista/7/8 support should be removed as well.
by BeSmart
2019-08-08 17:57
Forum: Development & alpha discussions
Topic: New Boost/OpenSSL versions
Replies: 14
Views: 3009

Re: New Boost/OpenSSL versions

new()/free() just replace create()/destroy().
by BeSmart
2019-08-06 13:08
Forum: Development & alpha discussions
Topic: New Boost/OpenSSL versions
Replies: 14
Views: 3009

Re: New Boost/OpenSSL versions

Just figured that evp.h (1.1.0/1.1.1) still has redefinitions for create()/destroy() in place so this still works.
by BeSmart
2019-08-06 12:06
Forum: Development & alpha discussions
Topic: New Boost/OpenSSL versions
Replies: 14
Views: 3009

Re: New Boost/OpenSSL versions

Martin,

The changes made to Server\Common\AntiSpam\DKIM\DKIM.cpp (commit 81171a4d9e) won't work with OpenSSL 1.0+ (create()/destroy() have been removed in OpenSSL 1.0). Use new()/free() instead.

See also https[://]www[.]openssl[.]org/docs/man1.1.1/man3/EVP_DigestInit.html.
by BeSmart
2019-05-21 10:43
Forum: Feature requests
Topic: TLS 1.2 Support for SQL Server
Replies: 15
Views: 6046

Re: TLS 1.2 Support for SQL Server

Installing the latest version of Microsoft OLE DB Driver for SQL Server (MSOLEDBSQL) and adding Provider=MSOLEDBSQL under the [Database] section of the INI file works just fine. See also https://docs.microsoft.com/en-us/sql/connect/oledb/oledb-driver-for-sql-server. Edit: It seems Martin has not yet...